﻿using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser.Syntax;

public readonly struct JsonStringSyntax : IJsonSyntax
{
    public Lexer<JsonToken>.Token Token { get; }
    public string Value => Token.Lexeme;

    public JsonStringSyntax(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}